﻿using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApp71
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Create tools for the toolbar.
            StateButtonTool stateButton1 = new StateButtonTool("StateButton1");
            StateButtonTool stateButton2 = new StateButtonTool("StateButton2");
            UltraTextEditor textEditor1 = new UltraTextEditor() { Name = "TextEditor1", Width = 100, NullText = "Type here", };
            // Create container for the text editor.
            ControlContainerTool editorContainerTool = new ControlContainerTool("EditorContainerTool");

            stateButton1.SharedProps.Caption = "StateButton1";
            stateButton1.SharedProps.DisplayStyle = ToolDisplayStyle.TextOnlyAlways;
            stateButton2.SharedProps.Caption = "StateButton2";
            stateButton2.SharedProps.DisplayStyle = ToolDisplayStyle.TextOnlyAlways;

            // Configure text editor.
            textEditor1.NullTextAppearance.TextHAlign = Infragistics.Win.HAlign.Left;
            textEditor1.AcceptsTab = false;
            textEditor1.TabIndex = 999;
            textEditor1.AlwaysInEditMode = false;

            // Add text editor to the container.
            editorContainerTool.Control = textEditor1;

            // Create toolbar and Add tools the tool bars manager and the toolbar.
            ultraToolbarsManager1.Toolbars.AddToolbar("Toolbar1");
            ultraToolbarsManager1.Tools.Add(stateButton1);
            ultraToolbarsManager1.Tools.Add(editorContainerTool);
            ultraToolbarsManager1.Tools.Add(stateButton2);

            // Add tool bar to manager and assign the tools the correct tool bar.
            ultraToolbarsManager1.Toolbars["Toolbar1"].Tools.InsertTool(0, "StateButton1");
            ultraToolbarsManager1.Toolbars["Toolbar1"].Tools.InsertTool(1, "EditorContainerTool");
            ultraToolbarsManager1.Toolbars["Toolbar1"].Tools.InsertTool(2, "StateButton2");

            ultraToolbarsManager1.Toolbars["Toolbar1"].Tools["EditorContainerTool"].InstanceProps.IsFirstInGroup = true;
            ultraToolbarsManager1.Toolbars["Toolbar1"].Tools["StateButton2"].InstanceProps.IsFirstInGroup = true;
        }
    }
}
